:::endpoint GET /v1/waitlist/signups/{id}

## Request

```bash
curl https://api.proppertrading.com/v1/waitlist/signups/wl_7hqm4tzvbc82nkxrdp9sfjwe \
  -H "Authorization: Bearer sk_live_a1b2c3d4_9f83c2e15b7a4d6e8091c3f5a7b9d1e2"
```

## Response

```json
{
    "data": {
        "id": "wl_7hqm4tzvbc82nkxrdp9sfjwe",
        "object": "waitlist_signup",
        "email": "jamie@example.com",
        "name": "Jamie",
        "status": "converted",
        "reward_code": "LAUNCH-K4M9XR2P",
        "source": "api",
        "metadata": {},
        "created_at": "2026-08-03T17:44:13+00:00",
        "notified_at": null,
        "converted_at": "2026-09-10T09:14:02+00:00",
        "unsubscribed_at": null,
        "last_sent_at": "2026-08-03T17:44:13+00:00"
    },
    "meta": { "request_id": "req_01kz4bkr1aj1gv63d8fv3133ey" }
}
```

To find someone by email instead of by id, use
[list](/docs/api/waitlist/list) with `?email=`.

## Errors

| Status | Code                 | Meaning        |
| ------ | -------------------- | -------------- |
| 404    | `resource_not_found` | No such signup |